{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/cluster/certificates/rotate",
  "title": "Rotate cluster certificates requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/cluster/certificates/rotate/",
  "summary": "Rotate cluster certificates requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "65c601f1ec70a842c390047b77727ec5e8869f44711fe08b44b1e1fee25f88de",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [POST](#post-cluster-certificates-rotate) | `/v1/cluster/certificates/rotate` | Regenerate all internal cluster certificates |"
    },
    {
      "id": "post-cluster-certificates-rotate",
      "title": "Rotate cluster certificates",
      "role": "content",
      "text": "POST /v1/cluster/certificates/rotate\n\nRegenerates all _internal_ cluster certificates.\n\nThe certificate rotation will be performed on all nodes within the cluster. If\n\"name\" is provided, only rotate the specified certificate on all nodes within the cluster."
    },
    {
      "id": "post-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tPOST /v1/cluster/certificates/rotate\n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Accept | application/json | Accepted media type |"
    },
    {
      "id": "post-response",
      "title": "Response",
      "role": "returns",
      "text": "Responds with a `200 OK` status code if the internal certificates successfully rotate across the entire cluster."
    },
    {
      "id": "post-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | No error |\n| [400 Bad Request](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1) | Failed, not all nodes have been updated. |\n| [403 Forbidden](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.4) | Unsupported internal certificate rotation. |"
    }
  ],
  "examples": []
}
